function C = C130_H01toH3est(N)
    if isintval(N)
        n = mid(N);
        r = rad(N);
    else
        n = N;
        r = 0;
    end
    if round(n) ~= n
        error("N must be an integer.");
    end
    if n < 2
        error("N must be greater than or equal to 2.");
    end
    if r > 0
        error("N must be a point interval.");
    end
    
    v = zeros(17,1);
    if isintval(N)
        v = intval(v);
    end
    for k = 1:2:17
        v(k) = 1 / (2*N-4+k);
    end
    s = - 2*n + 4; % shift of index
    if ( n >= 2 ) && ( n <= 5 )
        C = v(2*n-3+s)*v(2*n-1+s)^2*v(2*n+1+s) ...
              + sqrt(v(2*n-3+s)*v(2*n+5+s))*v(2*n-1+s)*v(2*n+1+s)*v(2*n+3+s) ...
              + (2*N+2)*sqrt(v(2*n-3+s)*v(2*n+1+s))*v(2*n-1+s)^2*v(2*n+1+s)*v(2*n+3+s);
    elseif ( n >= 6 ) && ( n <= 9 )
        C = v(2*n+1+s)*v(2*n+3+s)^2*v(2*n+5+s) ...
              + sqrt(v(2*n+1+s)*v(2*n+9+s))*v(2*n+3+s)*v(2*n+5+s)*v(2*n+7+s) ...
              + (2*N+6)*sqrt(v(2*n+1+s)*v(2*n+5+s))*v(2*n+3+s)^2*v(2*n+5+s)*v(2*n+7+s) ...
              + (2*N+2)*sqrt(v(2*n+1+s)*v(2*n+5+s))*v(2*n-1+s)*v(2*n+1+s)*v(2*n+3+s)^2 ...
              + (2*N+2)^2*v(2*n-1+s)^2*v(2*n+1+s)^2*v(2*n+3+s)^2 ...
              + (2*N+2)*sqrt(v(2*n-3+s)*v(2*n+1+s))*v(2*n-1+s)^2*v(2*n+1+s)*v(2*n+3+s);
    else
        C = v(2*n+5+s)*v(2*n+7+s)^2*v(2*n+9+s) ...
              + sqrt(v(2*n+5+s)*v(2*n+13+s))*v(2*n+7+s)*v(2*n+9+s)*v(2*n+11+s) ...
              + (2*N+10)*sqrt(v(2*n+5+s)*v(2*n+9+s))*v(2*n+7+s)^2*v(2*n+9+s)*v(2*n+11+s) ...
              + (2*N+6)*sqrt(v(2*n+5+s)*v(2*n+9+s))*v(2*n+3+s)*v(2*n+5+s)*v(2*n+7+s)^2 ...
              + (2*N+6)^2*v(2*n+3+s)^2*v(2*n+5+s)^2*v(2*n+7+s)^2 ...
              + v(2*n+1+s)*v(2*n+3+s)^2*v(2*n+5+s) ...
              + (2*N+6)*sqrt(v(2*n+1+s)*v(2*n+5+s))*v(2*n+3+s)^2*v(2*n+5+s)*v(2*n+7+s) ...
              + (2*N+2)*sqrt(v(2*n+1+s)*v(2*n+5+s))*v(2*n-1+s)*v(2*n+1+s)*v(2*n+3+s)^2 ...
              + sqrt(v(2*n-3+s)*v(2*n+5+s))*v(2*n-1+s)*v(2*n+1+s)*v(2*n+3+s);
    end
    C = sqrt(C) / 4;
end
