function C = C13_H01toH3est(N)
    if isintval(N)
        n = mid(N);
        r = rad(N);
    else
        n = N;
        r = 0;
    end
    if round(n) ~= n
        error("N must be an integer.");
    end
    if n < 2
        error("N must be greater than or equal to 2.");
    end
    if r > 0
        error("N must be a point interval.");
    end
    switch n
        case 2
            C = infsup(4.033783185331744903e-02, 4.034887172167084951e-02);
        case 3
            C = infsup(1.320564783034314932e-02, 1.323111987560054298e-02);
        case 4
            C = infsup(6.997863192025941155e-03, 7.034834319246697013e-03);
        otherwise
            C = C13m_H01toH3est(N,N+10);
    end
    if ( ~isintval(N) ) && isintval(C)
        C = sup(C);
    end
end
