function A = mat_A_H01toH3est(N,M)
    if isintval(N)
        n = mid(N);
        r = rad(N);
    else
        n = N;
        r = 0;
    end
    if isintval(M)
        m = mid(M);
        r = max(r,rad(M));
    else
        m = M;
    end
    
    if ( round(n) ~= n ) || ( round(m) ~= m )
        error("N and M must be an integer.");
    end
    if r > 0
        error("N and M must be a point interval.");
    end
    
    len = m - n + 4;
    A = zeros(len);
    if isintval(N)
        A = intval(A);
    end
    for k = len-4:-1:1
        alpha_v = alpha_H01toH3est(N-3+k);
        beta_v = beta_H01toH3est(N-1+k);
        gamma_v = gamma_H01toH3est(N+1+k);
        A(k  ,k  ) += alpha_v^2;
        A(k  ,k+2) -= alpha_v*beta_v;
        A(k+2,k  ) -= alpha_v*beta_v;
        A(k+2,k+2) += beta_v^2;
        A(k+2,k+4) -= beta_v*gamma_v;
        A(k+4,k+2) -= beta_v*gamma_v;
        A(k+4,k+4) += gamma_v^2;
        A(k+4,k  ) += gamma_v*alpha_v;
        A(k  ,k+4) += gamma_v*alpha_v;
    end
end