format longE

NMAX = 31
M = 10000

fileID = fopen('C13_H01toH3est.m','w');
fprintf(fileID,'function C = C13_H01toH3est(N)\n');
fprintf(fileID,'    if isintval(N)\n');
fprintf(fileID,'        n = mid(N);\n');
fprintf(fileID,'        r = rad(N);\n');
fprintf(fileID,'    else\n');
fprintf(fileID,'        n = N;\n');
fprintf(fileID,'        r = 0;\n');
fprintf(fileID,'    end\n');
fprintf(fileID,'    if round(n) ~= n\n');
fprintf(fileID,'        error("N must be an integer.");\n');
fprintf(fileID,'    end\n');
fprintf(fileID,'    if n < 2\n');
fprintf(fileID,'        error("N must be greater than or equal to 2.");\n');
fprintf(fileID,'    end\n');
fprintf(fileID,'    if r > 0\n');
fprintf(fileID,'        error("N must be a point interval.");\n');
fprintf(fileID,'    end\n');

disp("   N                          lower C13              upper C13");
fprintf(fileID,'    switch n\n');
for N = 2:NMAX
    fprintf(fileID,'        case %d\n', N);
    C = C13m_H01toH3est(intval(N),intval(N+M));
    disp([N, inf(C), sup(C)]);
    fprintf(fileID,'            C = infsup(%.18e, %.18e);\n', inf(C), sup(C));
end
fprintf(fileID,'        otherwise\n');
fprintf(fileID,'            C = C13m_H01toH3est(N,N+%d);\n', M);
fprintf(fileID,'    end\n');
fprintf(fileID,'    if ( ~isintval(N) ) && isintval(C)\n');
fprintf(fileID,'        C = sup(C);\n');
fprintf(fileID,'    end\n');

fprintf(fileID,'end\n');
fclose(fileID);
